<?php
// SPDX-License-Identifier: EUPL-1.2
// Authors: see README.md

namespace SeaCMS\App;

use SeacmsAppPlugin;
use SeaCMS\App\TestException;
use SeaCMS\App\TestInterface;

/**
 * define interface for tests
 */
interface TestOnPageRenderingInterface extends TestInterface
{
    /**
     * run tests
     * @param SeacmsAppPlugin $plugin
     * @param string $templateName  file name of the template
     * @param array  $twigVariables template variables
     * @throws TestException
     */
    public function runOnPageRendering(SeacmsAppPlugin $plugin, string $templateName, array $twigVariables);
}
